{
  "name": "nextjs",
  "author": {
    "name": "Michael Prather",
    "email": "support@shintech.ninja"
  },
  "version": "0.0.1",
  "main": "index.js",
  "license": "MIT",
  "homepage": "https://gitlab.com/shintech/public/nextjs",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/shintech/public/nextjs"
  },
  "scripts": {
    "test:all": "jest --verbose -c config/jest/jest.config.js",
    "test:client": "jest --verbose -c config/jest/jest.config.client.js",
    "test:server": "jest --verbose -c config/jest/jest.config.server.js",
    "lint": "eslint . --fix",
    "seed": "MONGO_URI=mongodb://localhost node ./seed.js",
    "build": "next build",
    "build:watch:server": "babel ./server -d dist --watch",
    "dev": "MONGO_URI=mongodb://localhost/nextjs_development MONGO_USER=admin MONGO_PASSWORD=password NODE_ENV=development PORT=3000 HOST=localhost nodemon .",
    "start": "NODE_ENV=production node .",
    "begin": "npm run build && npm start",
    "analyze": "BUNDLE_ANALYZE=both next build",
    "analyze:server": "BUNDLE_ANALYZE=server next build",
    "analyze:browser": "BUNDLE_ANALYZE=browser next build",
    "remotedev": "remotedev --hostname=localhost --port=9000"
  },
  "dependencies": {
    "@apollo/react-hooks": "^3.1.3",
    "@apollo/react-ssr": "^3.1.3",
    "@zeit/next-bundle-analyzer": "^0.1.2",
    "@zeit/next-sass": "^1.0.1",
    "apollo-cache-inmemory": "^1.6.3",
    "apollo-client": "^2.6.4",
    "apollo-link-error": "^1.1.12",
    "apollo-link-http": "^1.5.16",
    "apollo-link-persisted-queries": "^0.2.2",
    "apollo-server-cache-redis": "^1.1.4",
    "apollo-server-express": "^2.9.12",
    "babel-plugin-import-graphql": "^2.7.0",
    "babel-plugin-inline-import": "^3.0.0",
    "babel-plugin-inline-react-svg": "^1.0.1",
    "babel-plugin-module-resolver": "^3.2.0",
    "babel-plugin-styled-components": "^1.10.0",
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.18.3",
    "cacheable-response": "^1.10.0",
    "compression": "^1.7.3",
    "css-loader": "^3.2.0",
    "express": "^4.16.4",
    "file-loader": "^3.0.1",
    "helmet": "^3.16.0",
    "image-webpack-loader": "^5.0.0",
    "immutable": "^4.0.0-rc.12",
    "isomorphic-unfetch": "^3.0.0",
    "merge-graphql-schemas": "^1.7.3",
    "mongoose": "^5.7.13",
    "next": "^9.1.1",
    "next-page-transitions": "^1.0.0-beta.2",
    "next-redux-wrapper": "^4.0.1",
    "next-routes": "^1.4.2",
    "node-sass": "^4.12.0",
    "normalize.css": "^8.0.1",
    "polished": "^3.4.1",
    "react": "^16.8.4",
    "react-dom": "^16.8.4",
    "react-redux": "^7.1.3",
    "redux": "^4.0.4",
    "redux-thunk": "^2.3.0",
    "shintech-utils": "^0.1.2",
    "sitemap": "^5.1.0",
    "style-loader": "^1.0.0",
    "styled-components": "^4.1.3",
    "url-loader": "^2.1.0",
    "winston": "^3.2.1"
  },
  "devDependencies": {
    "babel-eslint": "^10.0.1",
    "babel-preset-env": "^1.7.0",
    "babel-preset-react": "^6.24.1",
    "deep-freeze": "^0.0.1",
    "enzyme": "^3.9.0",
    "enzyme-adapter-react-16": "^1.11.0",
    "enzyme-to-json": "^3.3.5",
    "eslint": "^5.15.1",
    "eslint-loader": "^3.0.0",
    "eslint-plugin-import": "^2.16.0",
    "eslint-plugin-node": "^8.0.1",
    "eslint-plugin-promise": "^4.0.1",
    "eslint-plugin-react": "^7.12.4",
    "eslint-plugin-standard": "^4.0.0",
    "faker": "^4.1.0",
    "jest": "^23.6.0",
    "jsdom": "^15.1.1",
    "nock": "^10.0.0",
    "remote-redux-devtools": "^0.5.16",
    "sinon": "^7.2.7",
    "supertest": "^4.0.2"
  },
  "standard": {
    "globals": [
      "React",
      "_server"
    ]
  },
  "config": {
    "value": "value"
  }
}
